Create External Service

Create External Service
Create external service.

Create an external service. Once created, the combination of vendor, name and version cannot be modified and must be unique. Each extension will have its own MQTT topics.

Request
URI
POST
https://{api_host}/cloudapi/extensions/api
COPY
Request Body
ExternalService of type(s) application/json
Optional

Show optional properties

{
    "name": "string",
    "version": "1.0.0",
    "vendor": "VMware",
    "enabled": false
}
{
    "name": "string",
    "id": "urn:vcloud:extension:VMware.Timer:1.0.0",
    "version": "1.0.0",
    "vendor": "VMware",
    "priority": 0,
    "enabled": false,
    "authorizationEnabled": false,
    "description": "string",
    "mqttTopics": {
        "mqttTopics": "string"
    }
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ExternalService of type(s) application/json;version=9.1.0
{
    "name": "string",
    "id": "urn:vcloud:extension:VMware.Timer:1.0.0",
    "version": "1.0.0",
    "vendor": "VMware",
    "priority": 0,
    "enabled": false,
    "authorizationEnabled": false,
    "description": "string",
    "mqttTopics": {
        "mqttTopics": "string"
    }
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"enabled":"boolean","name":"string","vendor":"string","version":"string"}' https://{api_host}/cloudapi/extensions/api